Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableGroupInfo

    java.lang.Object
      jet.api.TableGroupInfo

    public class TableGroupInfo

extends java.lang.Object

Constructor Summary
`TableGroupInfo(java.lang.String groupFieldName, int sortType)` Creates a GroupInfo.
`TableGroupInfo(java.lang.String blName, java.lang.String groupFieldName, int sortType, int specialFunctionType)` Creates a GroupInfo.

Method Summary
`void` | `addChild(int index, java.lang.Object element)` Inserts group or detail at the specified position as child of the group.
`boolean` | `addChild(java.lang.Object o)` Appends a group or a detail's information as a child of this group.
`void` | `addFooterInfo(int index, TableHeaderFooterInfo element)` Inserts FooterInfo of the group at the specified position.
`boolean` | `addFooterInfo(TableHeaderFooterInfo o)` Appends a footer's information of this group.
`boolean` | `addGroupFilterInfo(FilterInfo o)` Appends a group filter's information.
`void` | `addGroupFilterInfo(int index, FilterInfo element)` Inserts FilterInfo of the group at the specified position.
`void` | `addHeaderInfo(int index, TableHeaderFooterInfo element)` Inserts HeaderInfo of the group at the specified position.
`boolean` | `addHeaderInfo(TableHeaderFooterInfo o)` Appends a header's information of this group.
`void` | `addSortInfo(int index, SortInfo element)` Inserts SortInfo of the group at the specified position.
`boolean` | `addSortInfo(SortInfo o)` Appends a group sort's information.
`void` | `clearChildren()` Removes all of the children from the group.
`void` | `clearFooterInfos()` Removes all of footers' information from the group.
`void` | `clearGroupFilterInfos()` Removes all of the filters' information from the group.
`void` | `clearHeaderInfos()` Removes all of headers' information from the group.
`void` | `clearSortInfos()` Removes all of the sorts' information from the group.
`TableAdvanceOption` | `getAdvOption()` Gets AdvanceOption of the group.
`java.lang.String` | `getBLName()` Gets group field name.
`java.lang.Object` | `getChild(int index)` Returns the GroupInfo or DetailInfo at the specified position.
`java.util.Vector` | `getChildren()` Gets children of this group.
`TableHeaderFooterInfo` | `getFooterInfo(int index)` Returns the FooterInfo at the specified position.
`java.util.Vector` | `getFooterInfos()` Gets footers' information of this group.
`DisplayFieldInfo` | `getGroupFieldInfo()` Gets group field information.
`java.lang.String` | `getGroupFieldName()` Gets group field name.
`FilterInfo` | `getGroupFilterInfo(int index)` Returns the FilterInfo at the specified position.
`java.util.Vector` | `getGroupFilterInfos()` Sets group filters' information.
`TableHeaderFooterInfo` | `getHeaderInfo(int index)` Returns the HeaderInfo at the specified position.
`java.util.Vector` | `getHeaderInfos()` Gets headers' information of this group.
`double` | `getIndentInterval()`
`SortInfo` | `getSortInfo(int index)` Returns the SortInfo at the specified position.
`java.util.Vector` | `getSortInfos()` Sets group sorts' information.
`int` | `getSortType()` Gets sort type of the group.
`int` | `getSpecialFunctionType()` Gets special function type of the group.
`TableSpecifieldOption` | `getSpecOption()` Gets special option of the group.
`boolean` | `isIndentGroup()`
`boolean` | `isParallel()` Tests if this group is parallel.
`java.lang.Object` | `removeChild(int index)` Removes the element at the specified position.
`boolean` | `removeChild(java.lang.Object o)` Removes the first occurrence of the specified element.
`TableHeaderFooterInfo` | `removeFooterInfo(int index)` Removes the FooterInfo at the specified position.
`boolean` | `removeFooterInfo(TableHeaderFooterInfo o)` Removes the first occurrence of the FooterInfo.
`boolean` | `removeGroupFilterInfo(FilterInfo o)` Removes the first occurrence of the specified FilterInfo.
`FilterInfo` | `removeGroupFilterInfo(int index)` Removes the FilterInfo at the specified position.
`TableHeaderFooterInfo` | `removeHeaderInfo(int index)` Removes the HeaderInfo at the specified position.
`boolean` | `removeHeaderInfo(TableHeaderFooterInfo o)` Removes the first occurrence of the HeaderInfo.
`SortInfo` | `removeSortInfo(int index)` Removes the SortInfo at the specified position.
`boolean` | `removeSortInfo(SortInfo o)` Removes the first occurrence of the SortInfo.
`void` | `setAdvOption(TableAdvanceOption advOption)` Sets AdvanceOption of the group.
`void` | `setBLName(java.lang.String blName)` Sets group field name.
`void` | `setChildren(java.util.Vector children)` Sets groups and details' information as children of this group.
`void` | `setFooterInfos(java.util.Vector footerInfos)` Sets footers' information of this group.
`void` | `setGroupFieldName(java.lang.String groupFieldName)` Sets group field name.
`void` | `setGroupFilterInfos(java.util.Vector groupFilterInfos)` Sets group filters' information.
`void` | `setHeaderInfos(java.util.Vector headerInfos)` Sets headers' information of this group.
`void` | `setIndentGroup(boolean isIndentGroup)`
`void` | `setIndentInterval(double indentInterval)`
`void` | `setParallel(boolean isParallel)` Sets group to parallel or not.
`void` | `setSortInfos(java.util.Vector sortInfos)` Sets group sorts' information.
`void` | `setSortType(int sortType)` Sets sort type of the group.
`void` | `setSpecialFunctionType(int specialFunctionType)` Sets special function type of the group.
`void` | `setSpecOption(TableSpecifieldOption specOption)` Gets special option of the group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableGroupInfo

    public TableGroupInfo(java.lang.String groupFieldName,
                          int sortType)

  Creates a GroupInfo.

  Parameters:
    `groupFieldName` -
    `sortType` -

### TableGroupInfo

    public TableGroupInfo(java.lang.String blName,
                          java.lang.String groupFieldName,
                          int sortType,
                          int specialFunctionType)

  Creates a GroupInfo.

  Parameters:
    `groupFieldName` -
    `sortType` -
    `specialFunctionType` -

Method Detail

### getAdvOption

    public TableAdvanceOption getAdvOption()

  Gets AdvanceOption of the group.

  Returns:
    AdvanceOption

### setAdvOption

    public void setAdvOption(TableAdvanceOption advOption)

  Sets AdvanceOption of the group.

  Parameters:
    `advOption` -

### getGroupFieldInfo

    public DisplayFieldInfo getGroupFieldInfo()

  Gets group field information.

  Returns:
    DisplayFieldInfo group field.

### getGroupFieldName

    public java.lang.String getGroupFieldName()

  Gets group field name.

  Returns:
    String group field name.

### setGroupFieldName

    public void setGroupFieldName(java.lang.String groupFieldName)

  Sets group field name.

  Parameters:
    `groupFieldName` -

### getBLName

    public java.lang.String getBLName()

  Gets group field name.

  Returns:
    String group field name.

### setBLName

    public void setBLName(java.lang.String blName)

  Sets group field name.

  Parameters:
    `groupFieldName` -

### getGroupFilterInfos

    public java.util.Vector getGroupFilterInfos()

  Sets group filters' information.

  Returns:
    Vector of FilterInfo.

### setGroupFilterInfos

    public void setGroupFilterInfos(java.util.Vector groupFilterInfos)

  Sets group filters' information.

  Parameters:
    `groupFilterInfos` - Vector of FilterInfo.

### addGroupFilterInfo

    public void addGroupFilterInfo(int index,
                                   FilterInfo element)

  Inserts FilterInfo of the group at the specified position.

  Parameters:
    `index` - index at which the FilterInfo is to be inserted.
    `element` - FilterInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index > size()).

### addGroupFilterInfo

    public boolean addGroupFilterInfo(FilterInfo o)

  Appends a group filter's information.

  Parameters:
    `o` - FilterInfo to be appended.
  Returns:
    true (as per the general contract of Collection.add).

### clearGroupFilterInfos

    public void clearGroupFilterInfos()

  Removes all of the filters' information from the group.

### getGroupFilterInfo

    public FilterInfo getGroupFilterInfo(int index)

  Returns the FilterInfo at the specified position.

  Parameters:
    `index` - index of FilterInfo to return.
  Returns:
    FilterInfo at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index >= size()).

### removeGroupFilterInfo

    public FilterInfo removeGroupFilterInfo(int index)

  Removes the FilterInfo at the specified position. shifts any subsequent FilterInfos to the left (subtracts one from their indices). Returns the FilterInfo that was removed.

  Parameters:
    `index` - the index of the FilterInfo to removed.
  Returns:
    FilterInfo that was removed
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index out of range (index < 0 || index >= size()).

### removeGroupFilterInfo

    public boolean removeGroupFilterInfo(FilterInfo o)

  Removes the first occurrence of the specified FilterInfo. If the Vector does not contain the FilterInfo, it is unchanged. More formally, removes the FilterInfo with the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an FilterInfo exists).

  Parameters:
    `o` - FilterInfo to be removed, if present.
  Returns:
    true if the Vector contained the FilterInfo.

### getSortInfos

    public java.util.Vector getSortInfos()

  Sets group sorts' information.

  Returns:
    Vector of SortInfo.

### setSortInfos

    public void setSortInfos(java.util.Vector sortInfos)

  Sets group sorts' information.

### addSortInfo

    public void addSortInfo(int index,
                            SortInfo element)

  Inserts SortInfo of the group at the specified position.

  Parameters:
    `index` - index at which the SortInfo is to be inserted.
    `element` - SortInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index > size()).

### addSortInfo

    public boolean addSortInfo(SortInfo o)

  Appends a group sort's information.

  Parameters:
    `o` - SortInfo to be appended.
  Returns:
    true (as per the general contract of Collection.add).

### clearSortInfos

    public void clearSortInfos()

  Removes all of the sorts' information from the group.

### getSortInfo

    public SortInfo getSortInfo(int index)

  Returns the SortInfo at the specified position.

  Parameters:
    `index` - index of SortInfo to return.
  Returns:
    SortInfo at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index >= size()).

### removeSortInfo

    public SortInfo removeSortInfo(int index)

  Removes the SortInfo at the specified position. shifts any subsequent SortInfos to the left (subtracts one from their indices). Returns the SortInfo that was removed.

  Parameters:
    `index` - the index of the SortInfo to removed.
  Returns:
    SortInfo that was removed
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index out of range (index < 0 || index >= size()).

### removeSortInfo

    public boolean removeSortInfo(SortInfo o)

  Removes the first occurrence of the SortInfo. If the Vector does not contain the SortInfo, it is unchanged. More formally, removes the SortInfo with the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an SortInfo exists).

  Parameters:
    `o` - SortInfo to be removed, if present.
  Returns:
    true if the Vector contained the SortInfo.

### getSortType

    public int getSortType()

  Gets sort type of the group.

  Returns:
    int type.

### setSortType

    public void setSortType(int sortType)

  Sets sort type of the group.

  Parameters:
    `sortType` -

### getSpecialFunctionType

    public int getSpecialFunctionType()

  Gets special function type of the group.

  Returns:
    int type.

### setSpecialFunctionType

    public void setSpecialFunctionType(int specialFunctionType)

  Sets special function type of the group.

  Parameters:
    `specialFunctionType` -

### getSpecOption

    public TableSpecifieldOption getSpecOption()

  Gets special option of the group.

  Returns:
    SpecifieldOption

### setSpecOption

    public void setSpecOption(TableSpecifieldOption specOption)

  Gets special option of the group.

  Parameters:
    `specOption` -

### getChildren

    public java.util.Vector getChildren()

  Gets children of this group.

  Returns:
    Vector of GroupInfo and DetailInfo.

### setChildren

    public void setChildren(java.util.Vector children)

  Sets groups and details' information as children of this group.

### addChild

    public void addChild(int index,
                         java.lang.Object element)

  Inserts group or detail at the specified position as child of the group.

  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted. Element is instance of GroupInfo or DetailInfo.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index > size()).

### addChild

    public boolean addChild(java.lang.Object o)

  Appends a group or a detail's information as a child of this group.

  Parameters:
    `o` - GroupInfo or DetailInfo to be appended.
  Returns:
    true (as per the general contract of Collection.add).

### clearChildren

    public void clearChildren()

  Removes all of the children from the group.

### getChild

    public java.lang.Object getChild(int index)

  Returns the GroupInfo or DetailInfo at the specified position.

  Parameters:
    `index` - index of element to return.
  Returns:
    GroupInfo or DetailInfo at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index >= size()).

### removeChild

    public java.lang.Object removeChild(int index)

  Removes the element at the specified position. shifts any subsequent elements to the left (subtracts one from their indices). Returns the element that was removed.

  Parameters:
    `index` - the index of the element to removed.
  Returns:
    GroupInfo or DetailInfo that was removed
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index out of range (index < 0 || index >= size()).

### removeChild

    public boolean removeChild(java.lang.Object o)

  Removes the first occurrence of the specified element. If the Vector does not contain the element, it is unchanged. More formally, removes the element with the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an element exists).

  Parameters:
    `o` - GroupInfo or DetailInfo to be removed, if present.
  Returns:
    true if the Vector contained the GroupInfo or DetailInfo.

### isParallel

    public boolean isParallel()

  Tests if this group is parallel.

  Returns:
    true if the group is a parallel section

### setParallel

    public void setParallel(boolean isParallel)

  Sets group to parallel or not.

  Parameters:
    `isParallel` -

### getFooterInfos

    public java.util.Vector getFooterInfos()

  Gets footers' information of this group.

  Returns:
    Vector of FooterInfo.

### setFooterInfos

    public void setFooterInfos(java.util.Vector footerInfos)

  Sets footers' information of this group.

### addFooterInfo

    public void addFooterInfo(int index,
                              TableHeaderFooterInfo element)

  Inserts FooterInfo of the group at the specified position.

  Parameters:
    `index` - index at which the FooterInfo is to be inserted.
    `element` - FooterInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index > size()).

### addFooterInfo

    public boolean addFooterInfo(TableHeaderFooterInfo o)

  Appends a footer's information of this group.

  Parameters:
    `o` - FooterInfo to be appended.
  Returns:
    true (as per the general contract of Collection.add).

### clearFooterInfos

    public void clearFooterInfos()

  Removes all of footers' information from the group.

### getFooterInfo

    public TableHeaderFooterInfo getFooterInfo(int index)

  Returns the FooterInfo at the specified position.

  Parameters:
    `index` - index of FooterInfo to return.
  Returns:
    FooterInfo at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index >= size()).

### removeFooterInfo

    public TableHeaderFooterInfo removeFooterInfo(int index)

  Removes the FooterInfo at the specified position. shifts any subsequent FooterInfos to the left (subtracts one from their indices). Returns the FooterInfo that was removed.

  Parameters:
    `index` - the index of the FooterInfo to removed.
  Returns:
    FooterInfo that was removed
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index out of range (index < 0 || index >= size()).

### removeFooterInfo

    public boolean removeFooterInfo(TableHeaderFooterInfo o)

  Removes the first occurrence of the FooterInfo. If the Vector does not contain the FooterInfo, it is unchanged. More formally, removes the FooterInfo with the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an FooterInfo exists).

  Parameters:
    `o` - FooterInfo to be removed, if present.
  Returns:
    true if the Vector contained the FooterInfo.

### getHeaderInfos

    public java.util.Vector getHeaderInfos()

  Gets headers' information of this group.

  Returns:
    Vector of HeaderInfo.

### setHeaderInfos

    public void setHeaderInfos(java.util.Vector headerInfos)

  Sets headers' information of this group.

### addHeaderInfo

    public void addHeaderInfo(int index,
                              TableHeaderFooterInfo element)

  Inserts HeaderInfo of the group at the specified position.

  Parameters:
    `index` - index at which the HeaderInfo is to be inserted.
    `element` - HeaderInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index > size()).

### addHeaderInfo

    public boolean addHeaderInfo(TableHeaderFooterInfo o)

  Appends a header's information of this group.

  Parameters:
    `o` - HeaderInfo to be appended.
  Returns:
    true (as per the general contract of Collection.add).

### clearHeaderInfos

    public void clearHeaderInfos()

  Removes all of headers' information from the group.

### getHeaderInfo

    public TableHeaderFooterInfo getHeaderInfo(int index)

  Returns the HeaderInfo at the specified position.

  Parameters:
    `index` - index of HeaderInfo to return.
  Returns:
    HeaderInfo at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index is out of range (index < 0 || index >= size()).

### removeHeaderInfo

    public TableHeaderFooterInfo removeHeaderInfo(int index)

  Removes the HeaderInfo at the specified position. shifts any subsequent HeaderInfos to the left (subtracts one from their indices). Returns the HeaderInfo that was removed.

  Parameters:
    `index` - the index of the HeaderInfo to removed.
  Returns:
    HeaderInfo that was removed
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - index out of range (index < 0 || index >= size()).

### removeHeaderInfo

    public boolean removeHeaderInfo(TableHeaderFooterInfo o)

  Removes the first occurrence of the HeaderInfo. If the Vector does not contain the HeaderInfo, it is unchanged. More formally, removes the HeaderInfo with the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an HeaderInfo exists).

  Parameters:
    `o` - HeaderInfo to be removed, if present.
  Returns:
    true if the Vector contained the HeaderInfo.

### isIndentGroup

    public boolean isIndentGroup()

### setIndentGroup

    public void setIndentGroup(boolean isIndentGroup)

### getIndentInterval

    public double getIndentInterval()

### setIndentInterval

    public void setIndentInterval(double indentInterval)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD